import { type ClassNameProps } from "../classname.js";
import type { EditorInt } from "./Editor.js";
import type { MToolbarData, MToolbarItemData } from "./toolbar/types.js";
import type { MarkdownEditorSplitMode } from "./types.js";
import "./MarkupEditorView.css";
export type MarkupEditorViewProps = ClassNameProps & {
    editor: EditorInt;
    autofocus?: boolean;
    toolbarConfig: MToolbarData;
    settingsVisible?: boolean;
    toolbarVisible?: boolean;
    stickyToolbar?: boolean;
    toolbarClassName?: string;
    splitMode?: MarkdownEditorSplitMode;
    splitModeEnabled: boolean;
    hiddenActionsConfig?: MToolbarItemData[];
    children?: React.ReactNode;
};
export declare const MarkupEditorView: import("react").NamedExoticComponent<MarkupEditorViewProps>;
