"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WToolbarColors = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const ToolbarColors_1 = require("../custom/ToolbarColors.js");
const WToolbarColors = ({ disablePortal, className, editor, focus, onClick, }) => {
    const action = editor.actions.colorify;
    const currentColor = action.meta();
    return ((0, jsx_runtime_1.jsx)(ToolbarColors_1.ToolbarColors, { active: action.isActive(), enable: action.isEnable(), currentColor: currentColor, exec: (color) => {
            action.run({ color: color === currentColor ? '' : color });
        }, disablePortal: disablePortal, className: className, focus: focus, onClick: onClick, withDefault: true }));
};
exports.WToolbarColors = WToolbarColors;
//# sourceMappingURL=WToolbarColors.js.map
