import { Plugin, PluginKey } from 'prosemirror-state';
import { DecorationSet } from 'prosemirror-view';
import type { CommonAnswer } from "./ErrorScreen/types.js";
import type { GptWidgetDecoViewParams } from "./gptExtension/view.js";
export type GptWidgetMeta = {
    action: 'show';
    from: number;
    to: number;
} | {
    action: 'hide';
};
declare const key: PluginKey<DecorationSet>;
export { key as pluginKey };
export declare const gptWidgetPlugin: <AnswerData extends CommonAnswer = CommonAnswer, PromptData extends unknown = unknown>(params: GptWidgetDecoViewParams<AnswerData, PromptData>) => Plugin;
