"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.b = void 0;
exports.renderMathHint = renderMathHint;
const jsx_runtime_1 = require("react/jsx-runtime");
const uikit_1 = require("@gravity-ui/uikit");
const classname_1 = require("../../../classname.js");
const math_hint_1 = require("../../../i18n/math-hint/index.js");
exports.b = (0, classname_1.cn)('MathHint');
const MathHintContent = function MathHintContent() {
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, math_hint_1.i18n)('math_hint'), ' ', (0, jsx_runtime_1.jsx)(uikit_1.Link, { href: 'https://katex.org/', target: 'blank', children: (0, math_hint_1.i18n)('math_hint_katex') })] }));
};
const MathHint = function MathHint(props) {
    return ((0, jsx_runtime_1.jsx)(uikit_1.HelpMark, { popoverProps: {
            placement: ['bottom-end', 'top-end'],
            modal: false,
            ...props,
        }, children: (0, jsx_runtime_1.jsx)(MathHintContent, {}) }));
};
function renderMathHint(props, container) {
    return ((0, jsx_runtime_1.jsx)(uikit_1.Portal, { container: container, children: (0, jsx_runtime_1.jsx)(MathHint, { ...props }) }));
}
//# sourceMappingURL=hint.js.map
