import type { ExtensionNodeSpec } from "../../../../core/index.js";
export { mermaidNodeName } from "./const.js";
export type MermaidSpecsOptions = {
    nodeView?: ExtensionNodeSpec['view'];
};
export declare const MermaidSpecs: import("../../../../core/index.js").ExtensionWithOptions<MermaidSpecsOptions> & {
    readonly NodeName: "mermaid";
    readonly NodeAttrs: typeof import("./const.js").MermaidAttrs;
    readonly nodeType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
};
