import type { Node } from 'prosemirror-model';
import type { EditorView, NodeView } from 'prosemirror-view';
import type { YfmHtmlBlockOptions } from "../index.js";
export declare class WYfmHtmlBlockNodeView implements NodeView {
    readonly dom: HTMLElement;
    private node;
    private readonly view;
    private readonly getPos;
    private readonly options;
    private readonly renderItem;
    constructor({ node, view, getPos, options, }: {
        node: Node;
        view: EditorView;
        getPos: () => number | undefined;
        options: YfmHtmlBlockOptions;
    });
    update(node: Node): boolean;
    destroy(): void;
    ignoreMutation(): boolean;
    stopEvent(e: Event): boolean;
    private onChange;
    private renderYfmHtmlBlock;
}
