import type { Action, ExtensionAuto } from "../../../core/index.js";
import { type HighlightLangMap } from "./CodeBlockHighlight/CodeBlockHighlight.js";
import { type CodeBlockSpecsOptions } from "./CodeBlockSpecs/index.js";
import { cbAction } from "./const.js";
export { resetCodeblock } from "./commands.js";
export { codeBlockNodeName, CodeBlockNodeAttr, codeBlockType } from "./CodeBlockSpecs/index.js";
export type CodeBlockOptions = CodeBlockSpecsOptions & {
    codeBlockKey?: string | null;
    langs?: HighlightLangMap;
};
export declare const CodeBlock: ExtensionAuto<CodeBlockOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [cbAction]: Action;
        }
    }
}
