import type { NodeSpec } from 'prosemirror-model';
import type { ExtensionAuto } from "../../../../core/index.js";
export declare const headingNodeName = "heading";
export declare const headingLevelAttr = "level";
export declare const headingLineNumberAttr = "data-line";
export declare const headingType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
export type HeadingSpecsOptions = {
    /**
     * @deprecated: use placeholder option in BehaviorPreset instead.
     */
    headingPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
};
export declare const HeadingSpecs: ExtensionAuto<HeadingSpecsOptions>;
