"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Markup = exports.ListsAttr = exports.ListNode = void 0;
var ListNode;
(function (ListNode) {
    ListNode["ListItem"] = "list_item";
    ListNode["BulletList"] = "bullet_list";
    ListNode["OrderedList"] = "ordered_list";
})(ListNode || (exports.ListNode = ListNode = {}));
var ListsAttr;
(function (ListsAttr) {
    ListsAttr["Tight"] = "tight";
    /** used in ordered list only */
    ListsAttr["Order"] = "order";
    ListsAttr["Markup"] = "markup";
})(ListsAttr || (exports.ListsAttr = ListsAttr = {}));
exports.Markup = {
    bullet: {
        values: ['-', '+', '*'],
        default: '*',
    },
    ordered: {
        values: ['.', ')'],
        default: '.',
    },
};
//# sourceMappingURL=const.js.map
