import type { Action, ExtensionAuto } from "../../../core/index.js";
import { ListAction } from "./const.js";
import { type ListsInputRulesOptions } from "./inputrules.js";
export { ListNode, ListsAttr, blType, liType, olType } from "./ListsSpecs/index.js";
export type ListsOptions = {
    ulKey?: string | null;
    olKey?: string | null;
    ulInputRules?: ListsInputRulesOptions['bulletListInputRule'];
};
export declare const Lists: ExtensionAuto<ListsOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [ListAction.ToBulletList]: Action;
            [ListAction.ToOrderedList]: Action;
            [ListAction.SinkListItem]: Action;
            [ListAction.LiftListItem]: Action;
        }
    }
}
