export { EmojiConsts } from "./const.js";
export type EmojiSpecsOptions = {
    defs?: Record<string, string>;
    shortcuts?: Partial<Record<string, string | string[]>>;
};
export declare const EmojiSpecs: import("../../../../core/index.js").ExtensionWithOptions<EmojiSpecsOptions> & {
    readonly NodeName: "emoji";
    readonly NodeAttrs: {
        readonly Markup: "markup";
    };
    readonly nodeType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
};
