import type { ParseInsertedUrlAsImage } from "../../../../bundle/index.js";
import { type ExtensionAuto } from "../../../../core/index.js";
import type { FileUploadHandler } from "../../../../utils/index.js";
import { type CreateImageNodeOptions } from "../utils.js";
export type ImagePasteOptions = Pick<CreateImageNodeOptions, 'needDimensions' | 'enableNewImageSizeCalculation'> & {
    imageUploadHandler?: FileUploadHandler;
    /**
     * The function, used to determine if the pasted text is the image url and should be inserted as an image
     */
    parseInsertedUrlAsImage?: ParseInsertedUrlAsImage;
};
export declare const ImagePaste: ExtensionAuto<ImagePasteOptions>;
