"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YfmFile = void 0;
const YfmFilePaste_1 = require("./YfmFilePaste/index.js");
const YfmFileSpecs_1 = require("./YfmFileSpecs/index.js");
const YfmFileWidget_1 = require("./YfmFileWidget/index.js");
require("@diplodoc/file-extension/runtime/styles.css");
require("./index.css"); // eslint-disable-line import/order
const YfmFile = (builder, opts = {}) => {
    builder.use(YfmFileSpecs_1.YfmFileSpecs, opts);
    builder.use(YfmFileWidget_1.YfmFileWidget, opts);
    if (opts.fileUploadHandler) {
        builder.use(YfmFilePaste_1.YfmFilePaste, {
            fileUploadHandler: opts.fileUploadHandler,
            needToSetDimensionsForUploadedImages: Boolean(opts.needToSetDimensionsForUploadedImages),
        });
    }
};
exports.YfmFile = YfmFile;
//# sourceMappingURL=index.js.map
