import type { NodeSpec } from 'prosemirror-model';
import type { PlaceholderOptions } from "../../../../utils/placeholder.js";
import { YfmTableNode } from "./const.js";
export type YfmTableSchemaOptions = {
    /**
     * @deprecated: use placeholder option in BehaviorPreset instead.
     */
    yfmTableCellPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
};
export declare const getSchemaSpecs: (opts?: YfmTableSchemaOptions, placeholder?: PlaceholderOptions) => Record<YfmTableNode, NodeSpec>;
