import type { Action, ExtensionWithOptions } from "../../../core/index.js";
import { type YfmTableSpecsOptions } from "./YfmTableSpecs/index.js";
declare const action = "createYfmTable";
export { convertToYfmTable } from "./commands/convert-table.js";
export { YfmTableNode, yfmTableType, yfmTableBodyType, yfmTableRowType, yfmTableCellType, } from "./YfmTableSpecs/index.js";
export type YfmTableOptions = YfmTableSpecsOptions & {};
export declare const YfmTable: ExtensionWithOptions<YfmTableOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [action]: Action;
        }
    }
}
