export declare const i18n: <G extends "info" | "remove" | "alert" | "tip" | "warning", S extends string>(key: G | (string extends S ? S : never), params?: {
    [key: string]: any;
}) => S extends G ? {
    info: string;
    tip: string;
    warning: string;
    alert: string;
    remove: string;
}[G] : string;
