import type { Node as PmNode, ResolvedPos } from 'prosemirror-model';
import { type Predicate } from 'prosemirror-utils';
import type { EditorView } from 'prosemirror-view';
export declare const isTableNode: Predicate;
export declare const isTableBodyNode: Predicate;
export declare const isTableRowNode: Predicate;
export declare const isTableCellNode: Predicate;
export declare const findParentTable: any;
export declare const findParentTableBody: any;
export declare const findParentTableRow: any;
export declare const findParentTableCell: any;
export declare const findParentTableFromPos: ($pos: ResolvedPos) => any;
export declare const findParentTableBodyFromPos: ($pos: ResolvedPos) => any;
export declare const findParentTableRowFromPos: ($pos: ResolvedPos) => any;
export declare const findParentTableCellFromPos: ($pos: ResolvedPos) => any;
export declare const findChildTableRows: (node: PmNode) => any;
export declare const findChildTableCells: (node: PmNode) => any;
export declare const findChildTableBody: (node: PmNode) => any;
export declare const getTableDimensions: (node: PmNode) => {
    rows: number;
    cols: number;
};
export declare function atEndOfCell(view: EditorView, dir: number): number | null;
