import { ToolbarDataType } from "../types.js";
export const flattenPreset = (config) => {
    return config.flat().reduce((acc, item) => {
        if (item.type === ToolbarDataType.ListButton && Array.isArray(item.data)) {
            return acc.concat(item.data);
        }
        acc.push(item);
        return acc;
    }, []);
};
//# sourceMappingURL=flattenPreset.js.map
