export declare enum Lang {
    Ru = "ru",
    En = "en"
}
interface Config {
    lang?: `${Lang}`;
}
type Subscriber = (config: Readonly<Config>) => void;
export declare const configure: (newConfig: Config) => void;
export declare const subscribeConfigure: (sub: Subscriber) => () => void;
export declare const getConfig: () => Readonly<Config>;
export {};
