import { keymap } from '@codemirror/view';
import { gptHotKeys } from "../constants.js";
import { runMarkupGpt } from "./commands.js";
import { mGptPlugin } from "./plugin.js";
export { mGptToolbarItem } from "./toolbar.js";
export { showMarkupGpt, hideMarkupGpt } from "./commands.js";
export function mGptExtension(props) {
    return [
        mGptPlugin(props).extension,
        keymap.of([
            {
                key: gptHotKeys.openGptKey,
                run: runMarkupGpt,
            },
        ]),
    ];
}
//# sourceMappingURL=index.js.map
