import type { Action, ExtensionAuto } from "../../../core/index.js";
import { type MathNodeViewOptions } from "./view-and-edit.js";
import "./index.css";
export { MathNode, mathBType, mathIType } from "./MathSpecs/index.js";
export { MathBlockNodeView, MathInlineNodeView } from "./view-and-edit.js";
declare const mathIAction = "addMathInline";
declare const mathBAction = "toMathBlock";
export type MathOptions = Pick<MathNodeViewOptions, 'loadRuntimeScript' | 'sanitize' | 'katexOptions'>;
export declare const Math: ExtensionAuto<MathOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [mathIAction]: Action;
            [mathBAction]: Action;
        }
    }
}
