import { type PluginOptions } from '@diplodoc/html-extension';
import type { ExtensionNodeSpec } from "../../../../core/index.js";
export { yfmHtmlBlockNodeName } from "./const.js";
export interface YfmHtmlBlockSpecsOptions extends Omit<PluginOptions, 'runtimeJsPath' | 'containerClasses' | 'bundle' | 'embeddingMode'> {
    nodeView?: ExtensionNodeSpec['view'];
}
export declare const YfmHtmlBlockSpecs: import("../../../../index.js").ExtensionWithOptions<YfmHtmlBlockSpecsOptions> & {
    readonly NodeName: "yfm_html_block";
    readonly NodeAttrs: typeof import("./const.js").YfmHtmlBlockAttrs;
    readonly nodeType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
};
