import { DeflistSpecs } from "./DeflistSpecs/index.js";
import { splitDeflist, wrapToDeflist } from "./commands.js";
import { dlAction } from "./const.js";
export { DeflistNode, defListType, defTermType, defDescType } from "./DeflistSpecs/index.js";
export const Deflist = (builder, opts) => {
    builder.use(DeflistSpecs, opts);
    builder.addKeymap(() => ({ Enter: splitDeflist }));
    builder.addAction(dlAction, () => {
        return {
            isEnable: wrapToDeflist,
            run: wrapToDeflist,
        };
    });
};
//# sourceMappingURL=index.js.map
