import type { NodeSpec } from 'prosemirror-model';
import type { ExtensionAuto, ExtensionNodeSpec } from "../../../../core/index.js";
export { CheckboxAttr, CheckboxNode, checkboxType, checkboxLabelType, checkboxInputType, } from "./const.js";
export type CheckboxSpecsOptions = {
    /**
     * @deprecated: use placeholder option in BehaviorPreset instead.
     */
    checkboxLabelPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
    inputView?: ExtensionNodeSpec['view'];
    labelView?: ExtensionNodeSpec['view'];
    checkboxView?: ExtensionNodeSpec['view'];
};
export declare const CheckboxSpecs: ExtensionAuto<CheckboxSpecsOptions>;
