import type { AutocompletePopupProps } from "../../../../utils/autocomplete-popup.js";
import type { EmojiDef } from "./types.js";
import "./EmojiSuggestComponent.css";
export type EmojiSuggestComponentProps = AutocompletePopupProps & {
    currentIndex?: number;
    items: readonly EmojiDef[];
    onClick(itemIndex: number): void;
};
export declare const EmojiSuggestComponent: React.FC<EmojiSuggestComponentProps>;
export declare function render(props: EmojiSuggestComponentProps): React.ReactNode;
