import type { Transaction } from 'prosemirror-state';
import type { ExtensionDeps } from "../../../../core/index.js";
import type { FileUploadHandler } from "../../../../utils/upload.js";
import { type RenderImageWidgetFormFn } from "./view.js";
export declare const addWidget: (tr: Transaction, deps: ExtensionDeps, opts: ImageWidgetDescriptorOpts) => Transaction;
export declare const removeWidget: (tr: Transaction, id: string) => Transaction;
export type ImageWidgetDescriptorOpts = {
    needToSetDimensionsForUploadedImages: boolean;
    uploadImages?: FileUploadHandler;
    enableNewImageSizeCalculation?: boolean;
    renderImageForm?: RenderImageWidgetFormFn;
};
