import type { NodeSpec } from 'prosemirror-model';
import type { PlaceholderOptions } from "../../../../utils/placeholder.js";
import { CutNode } from "./const.js";
export type YfmCutSchemaOptions = {
    /**
     * @deprecated: use placeholder option in BehaviorPreset instead.
     */
    yfmCutTitlePlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
    /**
     * @deprecated: use placeholder option in BehaviorPreset instead.
     */
    yfmCutContentPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
};
export declare const getSchemaSpecs: (opts?: YfmCutSchemaOptions, placeholder?: PlaceholderOptions) => Record<CutNode, NodeSpec>;
