import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Button } from '@gravity-ui/uikit';
import { cn } from "../../classname.js";
import { i18n } from "../../i18n/forms/index.js";
import "./FormFooter.css";
const b = cn('form-footer');
export const FormFooter = ({ className, onCancel, onSubmit, children, }) => {
    return (_jsxs("div", { className: b(null, [className]), children: [onCancel && (_jsx(Button, { size: "s", view: "flat-secondary", onClick: onCancel, children: i18n('common_action_cancel') })), onSubmit && (_jsx(Button, { size: "s", view: "action", onClick: onSubmit, children: i18n('common_action_submit') })), children] }));
};
//# sourceMappingURL=FormFooter.js.map
