import type { SelectOption, SelectOptionGroup } from '@gravity-ui/uikit';
import type { Node } from 'prosemirror-model';
import type { EditorView } from 'prosemirror-view';
import { type BaseTooltipNode, type BaseTooltipPluginOptions, BaseTooltipPluginView } from "../BaseTooltip/index.js";
/** @deprecated */
interface TooltipSelectOptions extends BaseTooltipPluginOptions {
    buttonText?: (node: Node) => string;
    items?: SelectOption[] | SelectOptionGroup[];
    buildAttrs: (selectedValue: string) => Record<string, string>;
    withSearch?: boolean;
    disableHideOnBlur?: boolean;
}
/** @deprecated */
export declare class TooltipSelectPluginView extends BaseTooltipPluginView {
    private buttonText?;
    private items?;
    private buildAttrs;
    private withSearch;
    private enableHideOnBlur?;
    constructor(view: EditorView, options: TooltipSelectOptions);
    destroy(): void;
    protected renderContent(currentNode: BaseTooltipNode): React.ReactNode;
    protected onOutsideClick: () => void;
    private onViewFocus;
}
export {};
