import type { Extension, ExtensionAuto } from "../core/index.js";
import { type BreaksSpecsOptions, type CodeBlockSpecsOptions, type HeadingSpecsOptions } from "../extensions/markdown/specs.js";
import { type ZeroSpecPresetOptions } from "./zero-specs.js";
export type CommonMarkSpecsPresetOptions = ZeroSpecPresetOptions & {
    image?: false | Extension;
    breaks?: BreaksSpecsOptions;
    codeBlock?: CodeBlockSpecsOptions;
    heading?: false | Extension | HeadingSpecsOptions;
};
export declare const CommonMarkSpecsPreset: ExtensionAuto<CommonMarkSpecsPresetOptions>;
