import { jsx as _jsx } from "react/jsx-runtime";
import { ErrorBoundary } from 'react-error-boundary';
import { logger } from "../logger.js";
export const ErrorLoggerBoundary = ({ children }) => (_jsx(ErrorBoundary, { onError: (e) => {
        logger.error(e);
    }, fallbackRender: () => {
        return null;
    }, children: children }));
//# sourceMappingURL=ErrorBoundary.js.map
