import { jsx as _jsx } from "react/jsx-runtime";
import { Tooltip } from '@gravity-ui/uikit';
import { cn } from "../classname.js";
import { ToolbarTooltipDelay } from "./const.js";
import "./PreviewTooltip.css";
const b = cn('preview-tooltip');
export const PreviewTooltip = ({ preview, children }) => {
    if (!preview)
        return children;
    return (_jsx(Tooltip, { placement: ['right', 'left'], className: b(), disabled: !preview, openDelay: ToolbarTooltipDelay.Open, closeDelay: ToolbarTooltipDelay.Close, content: _jsx("div", { className: b('content'), children: preview }), children: children }));
};
//# sourceMappingURL=PreviewTooltip.js.map
