"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionsManager = void 0;
class ActionsManager {
    #actions;
    get actions() {
        return this.#actions;
    }
    constructor(actions) {
        this.#actions = actions ?? {};
    }
    action(actionName) {
        return this.#actions[actionName];
    }
    setActions(actions) {
        this.#actions = actions;
        return this;
    }
}
exports.ActionsManager = ActionsManager;
//# sourceMappingURL=ActionsManager.js.map
