"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorScreen = exports.cnGptDialogErrorScreen = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const icons_1 = require("@gravity-ui/icons");
const uikit_1 = require("@gravity-ui/uikit");
const classname_1 = require("../../../../classname.js");
const errors_1 = require("../../../../i18n/gpt/errors/index.js");
const IconRefuge_1 = require("../IconRefuge/IconRefuge.js");
require("./ErrorScreen.css");
exports.cnGptDialogErrorScreen = (0, classname_1.cn)('gpt-dialog-error-screen');
const ErrorScreen = ({ onRetry, onStartAgain }) => {
    return ((0, jsx_runtime_1.jsxs)("div", { className: (0, exports.cnGptDialogErrorScreen)(), children: [(0, jsx_runtime_1.jsxs)("div", { className: (0, exports.cnGptDialogErrorScreen)('content'), children: [(0, jsx_runtime_1.jsx)(IconRefuge_1.IconRefuge, { containerClassName: (0, exports.cnGptDialogErrorScreen)('icon'), data: icons_1.CircleXmarkFill, refugeSize: 28, size: 16 }), (0, jsx_runtime_1.jsx)("span", { className: (0, exports.cnGptDialogErrorScreen)('text'), children: (0, errors_1.i18n)('error-text') })] }), (0, jsx_runtime_1.jsxs)("div", { className: (0, exports.cnGptDialogErrorScreen)('buttons'), children: [(0, jsx_runtime_1.jsx)(uikit_1.Button, { view: "normal", onClick: onStartAgain, children: (0, errors_1.i18n)('start-again-button') }), (0, jsx_runtime_1.jsx)(uikit_1.Button, { view: "normal", onClick: onRetry, children: (0, errors_1.i18n)('retry-button') })] })] }));
};
exports.ErrorScreen = ErrorScreen;
//# sourceMappingURL=ErrorScreen.js.map
