import type { Mermaid } from 'mermaid' with { 'resolution-mode': 'import' };
import type { Node } from 'prosemirror-model';
import type { EditorView } from 'prosemirror-view';
import { MermaidConsts } from "../MermaidSpecs/const.js";
export declare const cnMermaid: import("@bem-react/classname").ClassNameFormatter;
export declare const STOP_EVENT_CLASSNAME = "prosemirror-stop-event";
import "./Mermaid.css";
export declare const MermaidView: React.FC<{
    view: EditorView;
    onChange: (attrs: {
        [MermaidConsts.NodeAttrs.content]: string;
    }) => void;
    getMermaidInstance: () => Mermaid;
    node: Node;
    getPos: () => number | undefined;
}>;
