import type { Node } from 'prosemirror-model';
import type { EditorView } from 'prosemirror-view';
import { YfmHtmlBlockConsts } from "../YfmHtmlBlockSpecs/const.js";
import type { YfmHtmlBlockOptions } from "../index.js";
import "./YfmHtmlBlock.css";
export declare const cnYfmHtmlBlock: import("@bem-react/classname").ClassNameFormatter;
export declare const STOP_EVENT_CLASSNAME = "prosemirror-stop-event";
export declare function generateID(): string;
export declare const YfmHtmlBlockView: React.FC<{
    getPos: () => number | undefined;
    node: Node;
    onChange: (attrs: {
        [YfmHtmlBlockConsts.NodeAttrs.srcdoc]: string;
    }) => void;
    options: YfmHtmlBlockOptions;
    view: EditorView;
}>;
