import type { NodeSpec } from 'prosemirror-model';
import type { ExtensionAuto } from "../../../../core/index.js";
export declare enum BaseNode {
    Doc = "doc",
    Text = "text",
    Paragraph = "paragraph"
}
export declare const pType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
export type BaseSchemaSpecsOptions = {
    paragraphPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
    preserveEmptyRows?: boolean;
};
export declare const BaseSchemaSpecs: ExtensionAuto<BaseSchemaSpecsOptions>;
