import type { ExtensionAuto } from "../../../core/index.js";
export type EditorModeKeymapOptions = {
    /** Submit handler. Return true to stop propagation. */
    onSubmit?(): boolean;
    /** Cancel handler. Return true to stop propagation. */
    onCancel?(): boolean;
    ignoreKeysList?: string[];
};
/**
 * Use this extension if you need to handle form actions like cancel and/or submit.
 */
export declare const EditorModeKeymap: ExtensionAuto<EditorModeKeymapOptions>;
