import type { ExtensionAuto, ExtensionNodeSpec } from "../../../../core/index.js";
export declare const CodeBlockNodeAttr: {
    readonly Lang: "data-language";
    readonly Markup: "data-markup";
};
export declare const codeBlockNodeName = "code_block";
export declare const codeBlockType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
export type CodeBlockSpecsOptions = {
    nodeview?: ExtensionNodeSpec['view'];
};
export declare const CodeBlockSpecs: ExtensionAuto<CodeBlockSpecsOptions>;
