"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkboxInputType = exports.checkboxLabelType = exports.checkboxType = exports.b = exports.idPrefix = exports.CheckboxAttr = exports.CheckboxNode = void 0;
const classname_1 = require("../../../../classname.js");
const schema_1 = require("../../../../utils/schema.js");
var CheckboxNode;
(function (CheckboxNode) {
    CheckboxNode["Checkbox"] = "checkbox";
    CheckboxNode["Input"] = "checkbox_input";
    CheckboxNode["Label"] = "checkbox_label";
})(CheckboxNode || (exports.CheckboxNode = CheckboxNode = {}));
exports.CheckboxAttr = {
    Class: 'class',
    Type: 'type',
    Id: 'id',
    Checked: 'checked',
    For: 'for',
};
exports.idPrefix = 'yfm-editor-checkbox';
exports.b = (0, classname_1.cn)('checkbox');
exports.checkboxType = (0, schema_1.nodeTypeFactory)(CheckboxNode.Checkbox);
exports.checkboxLabelType = (0, schema_1.nodeTypeFactory)(CheckboxNode.Label);
exports.checkboxInputType = (0, schema_1.nodeTypeFactory)(CheckboxNode.Input);
//# sourceMappingURL=const.js.map
