import '@diplodoc/cut-extension/runtime';
import type { Action, ExtensionAuto } from "../../../core/index.js";
import { type YfmCutSpecsOptions } from "./YfmCutSpecs/index.js";
import '@diplodoc/cut-extension/runtime/styles.css';
import "./index.css";
declare const cutAction = "toYfmCut";
export { CutNode, cutType, cutTitleType, cutContentType } from "./YfmCutSpecs/index.js";
export type YfmCutOptions = Pick<YfmCutSpecsOptions, 'yfmCutTitlePlaceholder' | 'yfmCutContentPlaceholder'> & {
    yfmCutKey?: string | null;
};
export declare const YfmCut: ExtensionAuto<YfmCutOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [cutAction]: Action;
        }
    }
}
