"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormRow = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const uikit_1 = require("@gravity-ui/uikit");
const classname_1 = require("../../classname.js");
require("./FormRow.css");
const b = (0, classname_1.cn)('form-row');
const FormRow = ({ className, label, help, control, controlClassName, }) => {
    return ((0, jsx_runtime_1.jsxs)("div", { className: b(null, [className]), children: [(0, jsx_runtime_1.jsxs)("div", { className: b('label'), children: [(0, jsx_runtime_1.jsx)("span", { className: b('label-text'), children: label }), help && ((0, jsx_runtime_1.jsx)(uikit_1.HelpMark, { popoverProps: { modal: false }, className: b('label-help'), children: help }))] }), (0, jsx_runtime_1.jsx)("div", { className: b('control', [controlClassName]), children: control })] }));
};
exports.FormRow = FormRow;
//# sourceMappingURL=FormRow.js.map
