"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const uikit_1 = require("@gravity-ui/uikit");
const GPTIcon = () => {
    // It may be worth taking the hook outside the icon
    const theme = (0, uikit_1.useTheme)();
    const gradient = theme === 'dark' || theme === 'dark-hc' ? ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("stop", { stopColor: "#FF7233" }), (0, jsx_runtime_1.jsx)("stop", { offset: "1", stopColor: "#D14DFF" })] })) : ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("stop", { stopColor: "#FF5001" }), (0, jsx_runtime_1.jsx)("stop", { offset: "1", stopColor: "#BD00FF" })] }));
    return ((0, jsx_runtime_1.jsxs)("svg", { width: "16", height: "16", viewBox: "0 0 16 16", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: [(0, jsx_runtime_1.jsx)("g", { clipPath: "url(#clip0_1608_24154)", children: (0, jsx_runtime_1.jsx)("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M0 6C0 2.68629 2.68629 -4.3454e-07 6 0C9.31371 4.3454e-07 12 2.68629 12 6C12 9.31371 9.31371 12 6 12C2.68629 12 -6.0141e-07 9.31371 0 6ZM14 16C12.8954 16 12 15.1046 12 14C12 12.8954 12.8954 12 14 12C15.1046 12 16 12.8954 16 14C16 15.1046 15.1046 16 14 16Z", fill: "url(#paint0_linear_1608_24154)" }) }), (0, jsx_runtime_1.jsxs)("defs", { children: [(0, jsx_runtime_1.jsx)("linearGradient", { id: "paint0_linear_1608_24154", x1: "17.5", y1: "-1", x2: "2.5", y2: "13.5", gradientUnits: "userSpaceOnUse", children: gradient }), (0, jsx_runtime_1.jsx)("clipPath", { id: "clip0_1608_24154", children: (0, jsx_runtime_1.jsx)("rect", { width: "16", height: "16", fill: "white" }) })] })] }));
};
exports.default = GPTIcon;
//# sourceMappingURL=GPT.js.map
