"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultPreset = void 0;
const markdown_1 = require("../extensions/markdown/index.js");
const commonmark_1 = require("./commonmark.js");
const DefaultPreset = (builder, opts) => {
    builder.use(commonmark_1.CommonMarkPreset, opts);
    builder.use(markdown_1.Strike, opts.strike ?? {});
    builder.use(markdown_1.Table);
};
exports.DefaultPreset = DefaultPreset;
//# sourceMappingURL=default.js.map
