"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FullPreset = void 0;
const extensions_1 = require("../extensions/index.js");
const yfm_1 = require("./yfm.js");
const FullPreset = (builder, opts) => {
    builder.use(yfm_1.YfmPreset, opts);
    builder.use(extensions_1.Mark).use(extensions_1.Color);
    if (opts.emoji) {
        builder.use(extensions_1.Emoji, opts.emoji);
    }
};
exports.FullPreset = FullPreset;
//# sourceMappingURL=full.js.map
