"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorLoggerBoundary = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_error_boundary_1 = require("react-error-boundary");
const logger_1 = require("../logger.js");
const ErrorLoggerBoundary = ({ children }) => ((0, jsx_runtime_1.jsx)(react_error_boundary_1.ErrorBoundary, { onError: (e) => {
        logger_1.logger.error(e);
    }, fallbackRender: () => {
        return null;
    }, children: children }));
exports.ErrorLoggerBoundary = ErrorLoggerBoundary;
//# sourceMappingURL=ErrorBoundary.js.map
