import { type ComponentType, type RefAttributes } from 'react';
import type { PluginRuntime, TransformMeta } from "./types.js";
export type WithLatexOptions = {
    runtime: PluginRuntime;
};
export type WithLatexProps = {
    meta: TransformMeta;
};
export declare function withLatex(opts: WithLatexOptions): <T extends {
    html: string;
}>(Component: ComponentType<T & RefAttributes<HTMLDivElement>>) => import("react").ForwardRefExoticComponent<import("react").PropsWithoutRef<T & WithLatexProps> & RefAttributes<HTMLDivElement>>;
