export class ActionsManager {
    #actions;
    get actions() {
        return this.#actions;
    }
    constructor(actions) {
        this.#actions = actions ?? {};
    }
    action(actionName) {
        return this.#actions[actionName];
    }
    setActions(actions) {
        this.#actions = actions;
        return this;
    }
}
//# sourceMappingURL=ActionsManager.js.map
