import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { CircleXmarkFill } from '@gravity-ui/icons';
import { Button } from '@gravity-ui/uikit';
import { cn } from "../../../../classname.js";
import { i18n } from "../../../../i18n/gpt/errors/index.js";
import { IconRefuge } from "../IconRefuge/IconRefuge.js";
import "./ErrorScreen.css";
export const cnGptDialogErrorScreen = cn('gpt-dialog-error-screen');
export const ErrorScreen = ({ onRetry, onStartAgain }) => {
    return (_jsxs("div", { className: cnGptDialogErrorScreen(), children: [_jsxs("div", { className: cnGptDialogErrorScreen('content'), children: [_jsx(IconRefuge, { containerClassName: cnGptDialogErrorScreen('icon'), data: CircleXmarkFill, refugeSize: 28, size: 16 }), _jsx("span", { className: cnGptDialogErrorScreen('text'), children: i18n('error-text') })] }), _jsxs("div", { className: cnGptDialogErrorScreen('buttons'), children: [_jsx(Button, { view: "normal", onClick: onStartAgain, children: i18n('start-again-button') }), _jsx(Button, { view: "normal", onClick: onRetry, children: i18n('retry-button') })] })] }));
};
//# sourceMappingURL=ErrorScreen.js.map
