import type { Action, ExtensionAuto } from "../../../core/index.js";
import { MermaidAction } from "./MermaidSpecs/const.js";
export type MermaidOptions = {
    loadRuntimeScript: () => void;
};
export declare const Mermaid: ExtensionAuto<MermaidOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [MermaidAction]: Action;
        }
    }
    interface Window {
        mermaidJsonp: Function[];
    }
}
