import type { Command } from 'prosemirror-state';
import type { Action, ExtensionAuto } from "../../../core/index.js";
import { type BaseSchemaSpecsOptions } from "./BaseSchemaSpecs/index.js";
export { BaseNode, pType } from "./BaseSchemaSpecs/index.js";
declare const pAction = "toParagraph";
export declare const toParagraph: Command;
export type BaseSchemaOptions = BaseSchemaSpecsOptions & {
    paragraphKey?: string | null;
};
export declare const BaseSchema: ExtensionAuto<BaseSchemaOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [pAction]: Action;
        }
    }
}
