import type { Action, ExtensionAuto } from "../../../core/index.js";
import { type AddImageAttrs } from "./actions.js";
import { addImageAction } from "./const.js";
import { type ImageUrlPasteOptions } from "./imageUrlPaste/index.js";
export { imageNodeName, imageType, ImageAttr } from "./ImageSpecs/index.js";
export type { AddImageAttrs } from "./actions.js";
export type ImageOptions = ImageUrlPasteOptions;
export declare const Image: ExtensionAuto<ImageOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [addImageAction]: Action<AddImageAttrs>;
        }
    }
}
