import { FilesBatchUploadProcess } from "../../../behavior/utils/upload.js";
import { fileType } from "../YfmFileSpecs/index.js";
import { createFileNode } from "../utils.js";
import { FileSkeletonDescriptor } from "./skeleton.js";
export class YfmFilesUploadProcessBase extends FilesBatchUploadProcess {
    createFile;
    constructor(view, files, uploadHandler) {
        super(view, files, uploadHandler);
        this.createFile = createFileNode(fileType(this.view.state.schema));
    }
    createSkeleton() {
        return new FileSkeletonDescriptor(this.getSkeletonInitPos());
    }
    async createPMNode(res) {
        return this.createFile(res);
    }
}
//# sourceMappingURL=upload.js.map
