import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo } from 'react';
import { ArrowUpRightFromSquare as LinkIcon } from '@gravity-ui/icons';
import { ActionTooltip, Button, Icon } from '@gravity-ui/uikit';
import { cn } from "../classname.js";
import { i18n } from "../i18n/forms/index.js";
import "./UrlInputRow.css";
const b = cn('url-input-row');
export const UrlInputRow = memo(function UrlInputRow({ href, input }) {
    return (_jsxs("div", { className: b(), children: [input, _jsx(ActionTooltip, { title: i18n('link_open_help'), children: _jsx(Button, { className: b('button'), view: "flat", size: "s", href: href, target: "_blank", children: _jsx(Icon, { data: LinkIcon, size: 16 }) }) })] }));
});
//# sourceMappingURL=UrlInputRow.js.map
