import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { HelpMark } from '@gravity-ui/uikit';
import { cn } from "../../classname.js";
import "./FormRow.css";
const b = cn('form-row');
export const FormRow = ({ className, label, help, control, controlClassName, }) => {
    return (_jsxs("div", { className: b(null, [className]), children: [_jsxs("div", { className: b('label'), children: [_jsx("span", { className: b('label-text'), children: label }), help && (_jsx(HelpMark, { popoverProps: { modal: false }, className: b('label-help'), children: help }))] }), _jsx("div", { className: b('control', [controlClassName]), children: control })] }));
};
//# sourceMappingURL=FormRow.js.map
