import { ColorSpecs, EmojiSpecs, MarkSpecs, } from "../extensions/specs.js";
import { YfmSpecsPreset } from "./yfm-specs.js";
export const FullSpecsPreset = (builder, opts) => {
    builder.use(YfmSpecsPreset, opts);
    builder.use(MarkSpecs).use(ColorSpecs, opts.color);
    if (opts.emoji) {
        builder.use(EmojiSpecs, opts.emoji);
    }
};
//# sourceMappingURL=full-specs.js.map
